CVE-2005-4660
CVSS1.2
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:28
NMCO    

[原文]Race condition in IPCop (aka IPCop Firewall) before 1.4.10 might allow local users to overwrite system configuration files and gain privileges by replacing a backup archive during the time window when the archive is owned by "nobody" but not yet encrypted, then executing ipcoprscfg to restore from this backup.


[CNNVD]IPCop备份文件更换竞态条件漏洞(CNNVD-200512-983)

        Race condition in IPCop(又称IPCop防火墙)的1.4.10之前版本的竞态条件可能使得本地用户可以通过在备份库的所有人为"nobody"且还未加密的间隙中更换备份库,然后执行Ipconprscfg从此备份中恢复,从而重写系统配置文件并获得权限。

- CVSS (基础分值)

CVSS分值: 1.2 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ipcop:ipcop:1.4.8
cpe:/a:ipcop:ipcop:1.4.5
cpe:/a:ipcop:ipcop:1.4.2
cpe:/a:ipcop:ipcop:1.4.9
cpe:/a:ipcop:ipcop:1.4.6
cpe:/a:ipcop:ipcop:1.4.1
cpe:/a:ipcop:ipcop:1.4.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4660
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4660
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-983
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/17513/
(PATCH)  SECUNIA  17513
http://www.securityfocus.com/bid/15378
(UNKNOWN)  BID  15378
http://sourceforge.net/tracker/index.php?func=detail&aid=1344047&group_id=40604&atid=428516
(UNKNOWN)  CONFIRM  http://sourceforge.net/tracker/index.php?func=detail&aid=1344047&group_id=40604&atid=428516

- 漏洞信息

IPCop备份文件更换竞态条件漏洞
低危 设计错误
2005-12-31 00:00:00 2006-01-17 00:00:00
本地  
        Race condition in IPCop(又称IPCop防火墙)的1.4.10之前版本的竞态条件可能使得本地用户可以通过在备份库的所有人为"nobody"且还未加密的间隙中更换备份库,然后执行Ipconprscfg从此备份中恢复,从而重写系统配置文件并获得权限。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/ipcop/ipcop-sources-1.4.10.tgz?download

- 漏洞信息

20719
IPCop Backup Race Condition File Modification
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-10-31 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.4.10 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站